package mediaplayer;

import javafx.application.Application;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.media.Media;
import javafx.scene.media.MediaView;
import javafx.scene.media.MediaPlayer;
import javafx.stage.Stage;

public class MediaExample extends Application {
    
      public void start(Stage primaryStage) {
        Group root = new Group();
        Scene scene = new Scene(root, 540, 210);
        
        String mediaURL = "http://download.oracle.com/otndocs/products/javafx/oow2010-2.flv";
        Media media = new Media(mediaURL);
        
        MediaPlayer mediaPlayer = new MediaPlayer(media);
        mediaPlayer.setAutoPlay(true);
        
        MediaView mediaView = new MediaView(mediaPlayer);
        root.getChildren().add(mediaView);
        
        primaryStage.setScene(scene);
        primaryStage.show();
        primaryStage.setTitle("Media Example");
    }

    public static void main(String[] args) {
        launch(args);
    }
    
}
